#pragma once

#include "CoreMinimal.h"
#include "BaseBehaviourPenalty.h"
#include "BehaviourPenalty_DisableCollisions.generated.h"

class ADBDPlayer;

UCLASS(Blueprintable, Abstract)
class UBehaviourPenalty_DisableCollisions : public UBaseBehaviourPenalty
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _time;

	UPROPERTY(Transient)
	TWeakObjectPtr<ADBDPlayer> _player;

protected:
	UFUNCTION(BlueprintCallable)
	void TimerDone() const;

public:
	UBehaviourPenalty_DisableCollisions();
};

FORCEINLINE uint32 GetTypeHash(const UBehaviourPenalty_DisableCollisions) { return 0; }
